#include<bits/stdc++.h>
using namespace std;

long long a[100000];

int main() {

    long long n, k;
    cin>>n>>k;

    for(int i = 0; i < n; i++) {
        cin>>a[i];
    }

    int ans = 0;
    for(int i = 0; i < n-1; i++) {
        long long cur = a[i];
        for(int j = i+1; j < n; j++) {
            if(cur >= k) ans++;
            else {
                cur = cur | a[j];
                if(cur >= k) ans++;
            }
        }
    }

    cout<<ans<<endl;


    return 0;
}
